<?php get_header(); ?>
	<div id="content">
		<div id="left">
            <div class="page">
				<div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries', 'freedream)) ?></div>
				<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;', 'freedream')) ?></div>
			</div>
	<?php if (have_posts()) : ?>	
            <article id="article">	
                <header id="titre">
                    <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>		
                    <?php /* If this is a category archive */ if (is_category()) { ?>
                        <h1><?php _e('Category: ', 'freedream'); single_cat_title(); ?>&#8217;</h1>
                    <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?> 
                        <h1><?php _e('Tag: ', 'freedream'); single_tag_title(); ?>&#8217;</h1> 
                    <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
                        <h1><?php _e('Day: ', 'freedream'); the_time('F j, Y'); ?></h1>
                    <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
                        <h1><?php _e('Month: ', 'freedream); the_time('F Y'); ?></h1>
                    <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
                        <h1><?php _e('Year: ', 'freedream'); the_time('Y'); ?></h1>
                    <?php /* If this is an author archive */ } elseif (is_author()) { ?>
                        <h1><?php _e('Author ', 'freedream') ?></h1>
                    <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
                        <h1><?php _e('Blog&#39;s Archives', 'freedream') ?></h1>
                    <?php } ?>
                </header>
                <section>
                <?php while (have_posts()) : the_post(); ?>
                    <article id="article">
                            <header id="titre">
                                <h1><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'freedream'), get_the_title_attribute()); ?>"><?php the_title(); ?></a></h1>
                                <pre><time datetime="<?php the_date(__('Y-m-d', 'freedream'), '', ''); ?>" pubdate><?php the_time(__('F j, Y', 'freedream')); ?></time><?php printf(__(' - by %s'), get_the_author()); ?></pre>
                            </header>
                            <section>
                            <?php the_content(__('Read this article &raquo;', 'freedream')); ?>
                            </section>
                            <p class="postmetadata"><?php the_tags(__('Tags: ', 'freedream'), ', ', '<br />'); ?> <?php _e('In:', 'freedream') ?> <?php the_category(', ') ?> | <?php edit_post_link(__('Edit', 'freedream'), '', ' | '); ?>  <?php comments_popup_link(__('No comments »', 'freedream'), __('1 comment &raquo;', 'freedream'), __('% comments &raquo;', 'freedream'), 'comments-link', __('Comments are closed', 'freedream')); ?></p>
                    </article>
		
		<?php endwhile; ?>
            <div class="page">
                <div class="left"><?php next_posts_link(__('&laquo; Older Entries', 'freedream')) ?></div>
                <div class="right"><?php previous_posts_link(__('Newer Entries &raquo;', 'freedream')) ?></div>
            </div>    
		<?php else :

		if ( is_category() ) { // If this is a category archive
			echo("<article id='article'><header id='titre'><h1>");
			printf(__('No article in this category %s.', 'freedream'), single_cat_title('',false));
			echo("</h1></header></article>");
		} else if ( is_date() ) { // If this is a date archive
			echo("<article id='article'><header id='titre'><h1>");
			_e('Sorry, no article for this date.', 'freedream');
			echo("</h1></header></article>");
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			echo("<article id='article'><header id='titre'><h1>");
			printf(__("Sorry, %s didn't write any article yet.", 'freedream'), $userdata->display_name);
			echo("</h1></header></article>");
		} else {
			echo("<article id='article'><header id='titre'><h1>");
            _e('Not found.', 'freedream');
            echo("</h1></header></article>");
		}
		get_search_form();

	endif;
?>

	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>